rubygem-puppetdb_cli-2.0.0.txz


Advertisement

Description

rubygem-puppetdb_cli - PuppetDB CLI Tooling

Property Value
Distribution FreeBSD 12
Repository FreeBSD Ports Latest i386
Package filename rubygem-puppetdb_cli-2.0.0.txz
Package name rubygem-puppetdb_cli
Package version 2.0.0
Package release -
Package architecture i386
Package type txz
Category databases rubygems
Homepage https://github.com/puppetlabs/puppetdb-cli
License APACHE20
Maintainer puppet@FreeBSD.org
Download size 15.70 KB
Installed size 45.51 KB
The PuppetDB CLI project provide Puppet subcommands for querying PuppetDB data,
via `puppet query <query>`, and PuppetDB administrative tasks, `puppet db
<import|export|status>`.
The query subcommand will allow you to query PuppetDB using either the upcoming
PQL syntax of the traditional PuppetDB query syntax (also known as AST).
The db subcommand is a replacement for the older puppetdb <export|import>
commands with faster startup times and much friendlier error messages.
WWW: https://github.com/puppetlabs/puppetdb-cli

Alternatives

Package Version Architecture Repository
rubygem-puppetdb_cli-2.0.0.txz 2.0.0 i386 FreeBSD Ports Quarterly
rubygem-puppetdb_cli-2.0.0.txz 2.0.0 amd64 FreeBSD Ports Quarterly
rubygem-puppetdb_cli-2.0.0.txz 2.0.0 amd64 FreeBSD Ports Latest
rubygem-puppetdb_cli - - -

Requires

Name Value
ruby = 2.5.5_2,1
ruby25-gems = 3.0.3
rubygem-cri = 2.15.2
rubygem-pl-puppetdb-ruby = 2.0.2

Download

Type URL
Mirror pkg.freebsd.org
Binary Package rubygem-puppetdb_cli-2.0.0.txz
Source Package databases/rubygem-puppetdb_cli

Install Howto

Install rubygem-puppetdb_cli txz package:

# pkg install rubygem-puppetdb_cli

See Also

Package Description
rubygem-puppetserver-ca-1.4.0.txz Ruby CLI tool to interact with the Puppet Server Certificate Authority
rubygem-pusher-client-0.6.2.txz Client for consuming WebSockets from http://pusher.com
rubygem-pygments.rb-1.2.1.txz Exposes the pygments syntax highlighter to Ruby
rubygem-pyu-ruby-sasl-0.0.3.3.txz Simple Authentication and Security Layer
rubygem-qiniu-6.9.0.txz Qiniu Resource (Cloud) Storage SDK for Ruby
rubygem-r10k-3.3.1.txz Tool for deploying Puppet environments and modules
rubygem-r18n-core-3.2.0.txz i18n tool to translate your Ruby application
rubygem-raabro-1.1.6.txz Dumb PEG parser library
rubygem-rabbirack-2.0.0.txz RabbiRack is a tool that controls Rabbit by Web browser
rubygem-rabbit-2.2.1_1.txz RD-document-based presentation application
rubygem-rabbiter-2.0.4.txz Rabbiter is a twitter client for Rabbit
rubygem-rabl-0.14.1.txz General ruby templating with json, bson, xml and msgpack support
rubygem-rabl-rails50-0.14.1.txz General ruby templating with json, bson, xml and msgpack support
rubygem-racc-1.4.14.txz LALR(1) parser generator for Ruby
rubygem-rack-2.0.7,3.txz Rack, a Ruby Webserver Interface
Advertisement
Advertisement